package com.config.example;

import javax.annotation.PostConstruct;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.ImportResource;

@Configuration
@ImportResource(locations = {"classpath:/ws-context.xml"})
public class ImportXMLServiceConfiguration {
    
    private Logger logger = LoggerFactory.getLogger(this.getClass());
    
    @PostConstruct
    public void init() {
        logger.info("Import XML Done");
    }
}
