package com.example.service;

import org.apache.cxf.endpoint.Client;
import org.apache.cxf.frontend.ClientProxy;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.example.wsdl.WeatherSoap;

@Service
public class MyService {
    @Autowired
    private WeatherSoap myWebService;
    
    public String getAddress() {
        Client c = ClientProxy.getClient(myWebService);
        return c.getConduit().getTarget().getAddress().getValue();
    }
}
